%define tarname		pulse-xmpp-agent

# Multi-distro conditionals
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%{!?py2_build: %global py2_build CFLAGS="%{optflags}" %{__python2} setup.py build}
%{!?py2_install: %global py2_install %{__python2} setup.py install --skip-build --root %{buildroot}}
%{!?mkrel: %global mkrel(c:) %{-c: 0.%{-c*}.}%{1}%{?subrel:.%subrel}%{?dist:%dist}}

Summary:	Pulse XMPP Agent
Name:		pulse-xmpp-agent
Version:	1.1
Release:	%mkrel 10
Source0:        %name-%version.tar.gz
License:	MIT
Group:		Development/Python
Url:		http://www.siveo.net
BuildArch:	noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx

Requires:       python-netifaces
Requires:       python-sleekxmpp
Requires:       python-pycrypto
Requires:       python-pycurl

%description
Pulse XMPP Agent

%files
%_initddir/*
%_var/log/pulse
%{python2_sitelib}/pulse_xmpp_agent
%{python2_sitelib}/pulse_xmpp_agent-%{version}-py?.?.egg-info

#--------------------------------------------------------------------

%prep
%setup -q -n %{tarname}

# Remove bundled egg-info
rm -rf %{tarname}.egg-info

%build
%py2_build

%install
%py2_install 
mkdir -p %buildroot%_var/log/pulse
mkdir -p %buildroot%_initddir
cp pulse_xmpp_agent/config/init.d/* %buildroot%_initddir
sed -e 's,/usr/share/pyshared,%{python2_sitelib},g' -i %buildroot/%_initddir/*


%changelog
* Wed May 10 2017 neoclust <neoclust> 1.1-10.mga6
+ Revision: 1100055
- New git snapshot

* Sat May 06 2017 neoclust <neoclust> 1.1-9.mga6
+ Revision: 1099398
- Add default requires

* Fri Apr 28 2017 neoclust <neoclust> 1.1-8.mga6
+ Revision: 1097871
- New GIT Snapshot

* Tue Feb 21 2017 neoclust <neoclust> 1.0-17.mga6
+ Revision: 1087194
- New git snapshot ( bug fixes )

* Mon Jan 09 2017 neoclust <neoclust> 1.0-1.mga6
+ Revision: 1080795
- New version 1.0

* Wed Oct 26 2016 neoclust <neoclust> 0.1-41.mga6
+ Revision: 1063573
- More translation fixes

* Mon Oct 24 2016 neoclust <neoclust> 0.1-40.mga6
+ Revision: 1063383
- Translation fixes

* Mon Oct 24 2016 neoclust <neoclust> 0.1-39.mga6
+ Revision: 1063367
- Translation fixes

* Fri Oct 21 2016 neoclust <neoclust> 0.1-37.mga6
+ Revision: 1062891
- Translation fixes

* Thu Oct 20 2016 neoclust <neoclust> 0.1-35.mga6
+ Revision: 1062618
- New git snapshot
- New git snapshot
- Add default requires

* Tue Sep 27 2016 neoclust <neoclust> 0.1-23.3.mga6
+ Revision: 1057085
- Install init files

* Mon Sep 26 2016 neoclust <neoclust> 0.1-23.mga6
+ Revision: 1056979
- New git snapshot

* Mon Sep 26 2016 neoclust <neoclust> 0.1-22.mga6
+ Revision: 1056824
- New git snapshot

* Fri Sep 23 2016 neoclust <neoclust> 0.1-21.mga6
+ Revision: 1055551
- Fix paths detection for Windows

* Fri Sep 23 2016 neoclust <neoclust> 0.1-20.mga6
+ Revision: 1055515
- add parameter -c for launcher in mode consoledebug

* Fri Sep 23 2016 neoclust <neoclust> 0.1-19.mga6
+ Revision: 1055501
- New git snapshot

* Thu Sep 22 2016 neoclust <neoclust> 0.1-18.mga6
+ Revision: 1055191
- New Git Snapshot

* Thu Sep 22 2016 neoclust <neoclust> 0.1-17.mga6
+ Revision: 1055164
- fix parameter name for config agentxmpp
- New git snapshot

* Tue Sep 20 2016 neoclust <neoclust> 0.1-14.mga6
+ Revision: 1054591
- New git snapshot

* Tue Sep 06 2016 neoclust <neoclust> 0.1-7.mga6
+ Revision: 1050250
- New snapshot

* Wed Aug 17 2016 neoclust <neoclust> 0.1-6.mga6
+ Revision: 1046711
- Install conf files

* Thu Aug 11 2016 neoclust <neoclust> 0.1-2.mga6
+ Revision: 1045543
- Update tarball to fix byte compiling

* Wed Aug 10 2016 neoclust <neoclust> 0.1-1.mga6
+ Revision: 1045252
- imported package pulse-xmpp-agent

